curl --request POST \
--url https://api.range.org/v2/parties/{id}/counterparties \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"name": "Berlin Bank AG",
"legal_form": "business",
"jurisdiction": "DE",
"address": {
"line1": "Friedrichstraße 1",
"line2": "3. OG",
"city": "Berlin",
"region": "BE",
"postal_code": "10117",
"country": "DE"
},
"is_fi": false,
"tax_ids": [
{
"jurisdiction": "BR",
"scheme": "cnpj",
"value": "12345678000195"
}
],
"notes": "Onboarded via referral",
"persons_of_interest": [
{
"name": "Ada Lovelace",
"role": "director"
}
]
}
'import requests
url = "https://api.range.org/v2/parties/{id}/counterparties"
payload = {
"name": "Berlin Bank AG",
"legal_form": "business",
"jurisdiction": "DE",
"address": {
"line1": "Friedrichstraße 1",
"line2": "3. OG",
"city": "Berlin",
"region": "BE",
"postal_code": "10117",
"country": "DE"
},
"is_fi": False,
"tax_ids": [
{
"jurisdiction": "BR",
"scheme": "cnpj",
"value": "12345678000195"
}
],
"notes": "Onboarded via referral",
"persons_of_interest": [
{
"name": "Ada Lovelace",
"role": "director"
}
]
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Berlin Bank AG',
legal_form: 'business',
jurisdiction: 'DE',
address: {
line1: 'Friedrichstraße 1',
line2: '3. OG',
city: 'Berlin',
region: 'BE',
postal_code: '10117',
country: 'DE'
},
is_fi: false,
tax_ids: [{jurisdiction: 'BR', scheme: 'cnpj', value: '12345678000195'}],
notes: 'Onboarded via referral',
persons_of_interest: [{name: 'Ada Lovelace', role: 'director'}]
})
};
fetch('https://api.range.org/v2/parties/{id}/counterparties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
"name": "Berlin Bank AG",
"types": [
"counterparty"
],
"is_fi": false,
"client_id": null,
"created_at": "2026-09-14T10:00:00.000Z",
"updated_at": "2026-09-14T10:00:00.000Z",
"address": {
"line1": "Friedrichstraße 1",
"line2": "3. OG",
"city": "Berlin",
"region": "BE",
"postal_code": "10117",
"country": "DE"
},
"tax_ids": [
{
"jurisdiction": "BR",
"scheme": "cnpj",
"masked_value": "**********0195"
}
],
"persons_of_interest": [
{
"id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
"name": "Ada Lovelace",
"role": "director"
}
],
"legal_form": "business",
"jurisdiction": "DE",
"notes": "Onboarded via referral"
}Create a counterparty that belongs to this client
The new entity is a counterparty of this client only. Another client with the same counterparty name gets its own entity. types is not accepted; the row is stored as counterparty.
Authorizations
Authorization method required to allow user to access the api endpoints.
Path Parameters
Body
"Berlin Bank AG"
individual, business "business"
ISO 3166-1 alpha-2, stored upper-cased.
"DE"
Show child attributes
Show child attributes
Whether the entity is a regulated financial institution.
false
Tax identifiers. On PATCH this replaces the whole set — anything absent is deleted.
20Show child attributes
Show child attributes
"Onboarded via referral"
Persons of interest. On PATCH this replaces the whole set — anything absent is deleted.
20Show child attributes
Show child attributes
Response
"a1b2c3d4-5678-90ab-cdef-1234567890ab"
"Berlin Bank AG"
self, client, counterparty ["counterparty"]
false
The client this counterparty belongs to. Null for workspace-level entities.
null
"2026-09-14T10:00:00.000Z"
"2026-09-14T10:00:00.000Z"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
individual, business "business"
"DE"
"Onboarded via referral"
Was this page helpful?